oracle.pg.common

## Class SimpleLogBasedProgressListenerImpl

- java.lang.Object
- - oracle.pg.common.SimpleLogBasedProgressListenerImpl

- All Implemented Interfaces:
    ProgressListener
  Direct Known Subclasses:
    SimpleLogBasedDataLoaderListenerImpl

      public class SimpleLogBasedProgressListenerImpl
      extends Object
      implements ProgressListener

  This class provides a simple Log based implementation of ProgressListener interface.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleLogBasedProgressListenerImpl` | `getInstance(long freq)` This method returns an isntance of ProgressListener
    `void` | `progressTo(long progress, String mesg)` This method reports the current progress.
    `long` | `reportProgressFrequency()` Returns a positive integer as the frequency of progress reporting.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static SimpleLogBasedProgressListenerImpl getInstance(long freq)

      This method returns an isntance of ProgressListener
      Parameters:
        `freq` - frequencey of progress reporting. This must be a positive integer.

    - #### progressTo

          public void progressTo(long progress,
                        String mesg)

      This method reports the current progress.
      Specified by:
        `progressTo` in interface `ProgressListener`
      Parameters:
        `progress` - a long value indicating the current progress. It must be a positive integer.
        `mesg` - an optional string value describing the current progress.

    - #### reportProgressFrequency

          public long reportProgressFrequency()

      Returns a positive integer as the frequency of progress reporting.
      Specified by:
        `reportProgressFrequency` in interface `ProgressListener`
      Returns:
        progress reporting frequency which must be a positive integer.

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.